# Makefile for compiling Bemused for Affix
# 2004, Andrei Emeltchenko

LIBS = -lxmms -laffix -laffix_sdp -laffix_sdpsvc -L/usr/local/lib
INCL = -I/usr/include/xmms -I./
CXXFLAGS = $(INCL) -DAFFIX `gtk-config --cflags`
LDFLAGS = $(LIBS)

BIN = $(DESTDIR)/usr/bin

OBJS = main.o BemusedServerDlg.o 

bemusedlinuxserver: $(OBJS)
	$(CXX) $(LDFLAGS) $(OBJS) -o bemusedlinuxserver

install: bemusedlinuxserver
	install -d $(BIN) $(DESTDIR)/etc
	install -m755 ./bemusedlinuxserver $(BIN)
	install -m644 ./bemused.conf $(DESTDIR)/etc/

uninstall:
	rm -rf $(BIN)/bemusedlinuxserver
	rm -rf $(DESTDIR)/etc/bemused.conf
	
clean:
	rm -rf $(OBJS) bemusedlinuxserver
